Update an asset
curl --request PATCH \
--url https://{customer-tenant}.nuwacom.ai/api/kb/assets/{spaceId}/{assetId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://{customer-tenant}.nuwacom.ai/api/kb/assets/{spaceId}/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{customer-tenant}.nuwacom.ai/api/kb/assets/{spaceId}/{assetId}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{customer-tenant}.nuwacom.ai/api/kb/assets/{spaceId}/{assetId}"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{customer-tenant}.nuwacom.ai/api/kb/assets/{spaceId}/{assetId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.patch("https://{customer-tenant}.nuwacom.ai/api/kb/assets/{spaceId}/{assetId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.asString();Assets
Update an asset
Update mutable asset metadata (name, connector assignment, metadata JSON, file path info, etc.) without re-uploading the file itself.
PATCH
/
api
/
kb
/
assets
/
{spaceId}
/
{assetId}
Update an asset
curl --request PATCH \
--url https://{customer-tenant}.nuwacom.ai/api/kb/assets/{spaceId}/{assetId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://{customer-tenant}.nuwacom.ai/api/kb/assets/{spaceId}/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{customer-tenant}.nuwacom.ai/api/kb/assets/{spaceId}/{assetId}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{customer-tenant}.nuwacom.ai/api/kb/assets/{spaceId}/{assetId}"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{customer-tenant}.nuwacom.ai/api/kb/assets/{spaceId}/{assetId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.patch("https://{customer-tenant}.nuwacom.ai/api/kb/assets/{spaceId}/{assetId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.asString();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Space identifier for the asset you are trying to read, update, or delete.
Required string length:
2 - 6The asset UUID that uniquely identifies the record within the database.
Response
Asset metadata updated successfully.